[arch-commits] Commit in gnome-sharp/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Oct 11 17:16:22 EDT 2008


    Date: Saturday, October 11, 2008 @ 17:16:22
  Author: jgc
Revision: 14982

upgpkg: gnome-sharp 2.24.0-1

Modified:
  gnome-sharp/trunk/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 21:10:57 UTC (rev 14981)
+++ PKGBUILD	2008-10-11 21:16:22 UTC (rev 14982)
@@ -2,26 +2,26 @@
 # Maintainer: tobias <tobias at archlinux.org>
 
 pkgname=gnome-sharp
-pkgver=2.20.1
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="GNOME bindings for C#"
 arch=(i686 x86_64)
 license=(LGPL)
 url="http://gtk-sharp.sourceforge.net"
-depends=('gtk-sharp-2>=2.12.1' 'gnome-panel>=2.22.1.2-3' 'libgnomeprintui>=2.18.2')
+depends=('gtk-sharp-2>=2.12.4' 'libgnomeui>=2.24.0')
 makedepends=('pkgconfig' 'monodoc')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.20/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('a7fccb122b15e0a6682306e98fd79e1d')
+source=(http://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('30af2dfb153f417e44b5ac80501685ca')
 
 build() {
  # get rid of that .wapi errors; thanks to brice
-  export MONO_SHARED_DIR="${startdir}/src/weird"
+  export MONO_SHARED_DIR="${srcdir}/weird"
   mkdir -p "${MONO_SHARED_DIR}"
 
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
-  make GACUTIL="/usr/bin/gacutil /root ${startdir}/pkg/usr/lib" \
-     	 DESTDIR=${startdir}/pkg install || return 1
+  make GACUTIL="/usr/bin/gacutil /root ${pkgdir}/usr/lib" \
+     	 DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list